Bug 458847 - Headers cannot be compiled with GTK_DISABLE_DEPRECATED
Headers cannot be compiled with GTK_DISABLE_DEPRECATED
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libgnomeui (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 13:22 EDT by Braden McDaniel
Modified: 2008-08-12 14:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 14:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2008-08-12 13:22:50 EDT
Description of problem:
Attempting to compile a project that uses libgnomeui with GTK_DISABLE_DEPRECATED defined yields (at least) the following failures:


/usr/include/libgnomeui-2.0/libgnomeui/gnome-app-helper.h:621: error: 'GtkDestroyNotify' does not name a type
/usr/include/libgnomeui-2.0/libgnomeui/gnome-app-helper.h:688: error: 'GtkDestroyNotify' has not been declared
/usr/include/libgnomeui-2.0/libgnomeui/gnome-app-helper.h:726: error: 'GtkDestroyNotify' has not been declared
/usr/include/libgnomeui-2.0/libgnomeui/gnome-app-helper.h:772: error: 'GtkDestroyNotify' has not been declared

/usr/include/libgnomeui-2.0/libgnomeui/gnome-client.h:460: error: 'GtkDestroyNotify' has not been declared

/usr/include/libgnomeui-2.0/libgnomeui/gnome-password-dialog.h:64: error: 'GtkType' does not name a type


Version-Release number of selected component (if applicable):
2.23.4-1.fc10
Comment 1 Matthias Clasen 2008-08-12 14:17:20 EDT
Fixed upstream, will get into rawhide with the next upstream release we build.

Note You need to log in before you can comment on or make changes to this bug.